<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::PrettyUnitTestResultPrinter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1PrettyUnitTestResultPrinter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::PrettyUnitTestResultPrinter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::PrettyUnitTestResultPrinter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1PrettyUnitTestResultPrinter__inherit__graph.svg" width="210" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::PrettyUnitTestResultPrinter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1PrettyUnitTestResultPrinter__coll__graph.svg" width="210" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a248840fde373e65a25eaaa1d2a0f3065"><td class="memItemLeft" align="right" valign="top"><a id="a248840fde373e65a25eaaa1d2a0f3065"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a248840fde373e65a25eaaa1d2a0f3065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e7e8909452ef92aaf02f4cffde5ee28"><td class="memItemLeft" align="right" valign="top"><a id="a0e7e8909452ef92aaf02f4cffde5ee28"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration) override</td></tr>
<tr class="separator:a0e7e8909452ef92aaf02f4cffde5ee28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17a4a708aca7df5876e48868408a2be"><td class="memItemLeft" align="right" valign="top"><a id="ac17a4a708aca7df5876e48868408a2be"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:ac17a4a708aca7df5876e48868408a2be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9853207ad1aedfe89c72f8047ac3541a"><td class="memItemLeft" align="right" valign="top"><a id="a9853207ad1aedfe89c72f8047ac3541a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a9853207ad1aedfe89c72f8047ac3541a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f57a94ab15116425b5b1882b4794b56"><td class="memItemLeft" align="right" valign="top"><a id="a6f57a94ab15116425b5b1882b4794b56"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;test_case) override</td></tr>
<tr class="separator:a6f57a94ab15116425b5b1882b4794b56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079ac0eb5f8cdd2511cfd33ef931338b"><td class="memItemLeft" align="right" valign="top"><a id="a079ac0eb5f8cdd2511cfd33ef931338b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info) override</td></tr>
<tr class="separator:a079ac0eb5f8cdd2511cfd33ef931338b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89caba1698d6999082e938f814dd8ece"><td class="memItemLeft" align="right" valign="top"><a id="a89caba1698d6999082e938f814dd8ece"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;result) override</td></tr>
<tr class="separator:a89caba1698d6999082e938f814dd8ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a085f90bb9f3128d8d8864c19e1e188ef"><td class="memItemLeft" align="right" valign="top"><a id="a085f90bb9f3128d8d8864c19e1e188ef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info) override</td></tr>
<tr class="separator:a085f90bb9f3128d8d8864c19e1e188ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc7a17a23b314933e450f549de88b9a5"><td class="memItemLeft" align="right" valign="top"><a id="acc7a17a23b314933e450f549de88b9a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;test_case) override</td></tr>
<tr class="separator:acc7a17a23b314933e450f549de88b9a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97efe483cbb1c55d32bdc7a997a99f13"><td class="memItemLeft" align="right" valign="top"><a id="a97efe483cbb1c55d32bdc7a997a99f13"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:a97efe483cbb1c55d32bdc7a997a99f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6700b0664749940a93917c5dcc3b90ed"><td class="memItemLeft" align="right" valign="top"><a id="a6700b0664749940a93917c5dcc3b90ed"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a6700b0664749940a93917c5dcc3b90ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447fc02d3e3af17cef6f0727bab7414a"><td class="memItemLeft" align="right" valign="top"><a id="a447fc02d3e3af17cef6f0727bab7414a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration) override</td></tr>
<tr class="separator:a447fc02d3e3af17cef6f0727bab7414a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c7e1a921099dd50fbadd2b0ce3692a"><td class="memItemLeft" align="right" valign="top"><a id="a26c7e1a921099dd50fbadd2b0ce3692a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a26c7e1a921099dd50fbadd2b0ce3692a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1TestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1TestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1TestEventListener.html">testing::TestEventListener</a></td></tr>
<tr class="memitem:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a2726cc70dfda861f109355f1d9f09dfe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a8962caad5d2522c9160c794074a662ee"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aba6463878ddb96303f620c62353bbdb5"><td class="memItemLeft" align="right" valign="top"><a id="aba6463878ddb96303f620c62353bbdb5"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>PrintTestName</b> (const char *test_suite, const char *test)</td></tr>
<tr class="separator:aba6463878ddb96303f620c62353bbdb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1PrettyUnitTestResultPrinter.html">PrettyUnitTestResultPrinter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
